TLM-2.0: tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL > Class Template Reference

# tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL > Class Template Reference

`#include <tlm_req_rsp_channels.h>`

List of all members.

## Public Member Functions
| tlm_req_rsp_channel (int req_size=1, int rsp_size=1)
| tlm_req_rsp_channel (sc_core::sc_module_name module_name, int req_size=1, int rsp_size=1)
## Public Attributes
sc_core::sc_export < tlm_fifo_get_if< REQ > > | get_request_export
sc_core::sc_export < tlm_fifo_put_if< RSP > > | put_response_export
sc_core::sc_export < tlm_fifo_put_if< REQ > > | put_request_export
sc_core::sc_export < tlm_fifo_get_if< RSP > > | get_response_export
sc_core::sc_export < tlm_master_if< REQ, RSP > > | master_export
sc_core::sc_export < tlm_slave_if< REQ, RSP > > | slave_export
## Protected Attributes
REQ_CHANNEL | request_fifo
RSP_CHANNEL | response_fifo
tlm_master_imp< REQ, RSP > | master
tlm_slave_imp< REQ, RSP > | slave

## Detailed Description

### template<typename REQ, typename RSP, typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>
class tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >

Definition at line 31 of file tlm_req_rsp_channels.h.

## Constructor & Destructor Documentation

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::tlm_req_rsp_channel | ( | int | req_size = `1`,
|  | int | rsp_size = `1` |
| ) |  |  | `[inline]`

Definition at line 50 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::tlm_req_rsp_channel | ( | sc_core::sc_module_name | module_name,
|  | int | req_size = `1`,
|  | int | rsp_size = `1` |
| ) |  |  | `[inline]`

Definition at line 62 of file tlm_req_rsp_channels.h.

## Member Data Documentation

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_get_if< REQ > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::get_request_export

Definition at line 36 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_get_if< RSP > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::get_response_export

Definition at line 42 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm_master_imp< REQ , RSP > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::master`[protected]`

Definition at line 93 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_master_if< REQ , RSP > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::master_export

Definition at line 46 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_put_if< REQ > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::put_request_export

Definition at line 41 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_fifo_put_if< RSP > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::put_response_export

Definition at line 37 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

REQ_CHANNEL tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::request_fifo`[protected]`

Definition at line 90 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

RSP_CHANNEL tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::response_fifo`[protected]`

Definition at line 91 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

tlm_slave_imp< REQ , RSP > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::slave`[protected]`

Definition at line 94 of file tlm_req_rsp_channels.h.

template<typename REQ , typename RSP , typename REQ_CHANNEL = tlm_fifo<REQ>, typename RSP_CHANNEL = tlm_fifo<RSP>>

sc_core::sc_export< tlm_slave_if< REQ , RSP > > tlm::tlm_req_rsp_channel< REQ, RSP, REQ_CHANNEL, RSP_CHANNEL >::slave_export

Definition at line 47 of file tlm_req_rsp_channels.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_1/tlm_req_rsp/tlm_channels/tlm_req_rsp_channels/tlm_req_rsp_channels.h